package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsTransRange;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsTransRangeMapper extends IBaseMapper<RmsTransRange, BigDecimal> {
    @Select("select seq_RMS_TRANS_RANGE.nextval from dual")
    BigDecimal nextTransRangeId();

    List<Map<String,Object>> getRmsTransRange(Map<String ,Object> map);

    List<Map<String,Object>> getMaterialCoke(Map<String ,Object> map);
}